
Foreman - Refactor #3811

Upgrade foreman to Bootstrap 3

12/04/2013 01:34 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Bug #4189: Facts charts are not rendered Closed 01/27/2014

Has duplicate Foreman - Bug #3488: Dashboard generated timestamp has disappeared Duplicate 10/24/2013

Precedes Foreman - Refactor #3812: Align js lib versions and css between fore... Duplicate

Associated revisions

Revision bf4a13d3 - 12/29/2013 11:22 AM - Walden Raines

Fixes #3811 updating to bootstrap 3

Revision d31eea8c - 12/29/2013 11:22 AM - Amos Benari

fixes #3811 - merge with new layout

Revision c9aca07a - 12/29/2013 11:22 AM - Dominic Cleal

refs #3811 - foreman.spec: change twitter-bootstrap-rails to bootstrap-sass

Revision 1fa42669 - 12/30/2013 10:16 AM - Amos Benari

refs #3811 - additional bootstrap 3 updates/fixes

provisioning template "resolve" button ui fixes

form inline help and button lacation fix

host ip address help link fixed

fixes libvirt allocation buttons

host global parameters columns fixed

fix multi-select width

Revision 5d6ab0b1 - 12/31/2013 12:58 PM - Amos Benari

refs #3811 - additional bootstrap 3 updates/fixes

css renamed alert-error is now alert-danger

spinner progress indicators are back

fixed progress bar on create host

Revision ede5687c - 01/14/2014 09:55 PM - Ohad Levy

refs #3811 alerts messages cleanup and minor refactoring

History

#1 - 12/04/2013 01:36 PM - Ohad Levy

- Precedes Refactor #3812: Align js lib versions and css between foreman and katello added

#2 - 12/29/2013 10:55 AM - Dominic Cleal
- Has duplicate Bug #3488: Dashboard generated timestamp has disappeared added

#3 - 12/29/2013 11:31 AM - Walden Raines

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset bf4a13d3853f49eaceca968be4549b387a3782d9.

#4 - 01/02/2014 03:25 PM - Dominic Cleal

- Category set to Web Interface

- Assignee set to Amos Benari

- translation missing: en.field_release set to 2

#5 - 01/27/2014 12:55 PM - Marek Hulán

- Related to Bug #4189: Facts charts are not rendered added
